#include <iostream>

using namespace std;
long niz[26];
int main()
{
    long n;
    cin>>n;
    string s;
    cin>>s;
    int pom=0;
    for(int i=0;i<n;i++)
    {
        if(s[i]-'A'==pom) niz[pom]++;
        if(s[i]-'A'==pom+1) pom++,niz[pom]++;
    }
    long long r=1;
    for(int i=0;i<26;i++)
    {
        r=(r*niz[i])%(1000000007);
    }
    cout<<r;
    return 0;
}